Retrieve subscriptions

Get All Subscription By Shopper Id or External Reference Id

get

Get all subscriptions by shopper id or external reference Id

Query parameters
Shopper IdstringRequired

Shopper Id or External Reference Id

Header parameters
tokenstringRequired

Basic authorization (dispatch Key and Secret) or Full access token

Responses
chevron-right
200

OK

application/json
get
/v1/subscriptions

Get Subscription By Subscription Id

get

Get subscription details by subscription Id

Path parameters
subIdstringRequired

Subscription Id

Header parameters
tokenstringRequired

Basic authorization (dispatch Key and Secret) or Full access token

Responses
chevron-right
200

OK

application/json

The subscription information of the item.

freeTrialbooleanOptional

If true, indicates that this is a free trial.

Example: true
autoRenewalbooleanOptional

If true, indicates that renewals for this subscription are automatic rather than manual.

Example: true
termsstringOptional

For auto renewal subscriptions, the terms displayed to the customer at acquisition.

Example: Please accept these terms.
planIdstringOptional

The unique identifier of the plan

Example: 654321
subscriptionIdstringOptional

The subscription identifier.

Example: 665430999
billingAgreementIdstringOptional

The Digital River billing agreement identifier.

Example: cfeba2ac-d532-49e4-99f4-7a433507facf
startTimestring · date-timeOptional

The start date and time of the subscription.

Example: {"offset":{"totalSeconds":0,"id":"Z","rules":{"fixedOffset":true,"transitions":[],"transitionRules":[]}},"nano":0,"year":2020,"monthValue":5,"dayOfMonth":21,"hour":0,"minute":0,"second":0,"month":"MAY","dayOfWeek":"THURSDAY","dayOfYear":142}
endTimestring · date-timeOptional

The startTime plus the subscription duration.

Example: {"offset":{"totalSeconds":0,"id":"Z","rules":{"fixedOffset":true,"transitions":[],"transitionRules":[]}},"nano":0,"year":2021,"monthValue":5,"dayOfMonth":20,"hour":11,"minute":59,"second":59,"month":"MAY","dayOfWeek":"THURSDAY","dayOfYear":140}
get
/v1/subscriptions/{subId}

Last updated